# PyPtax

PyPtax is a Python library to retrieve information on
[Ptax rates](https://www.bcb.gov.br/conteudo/relatorioinflacao/EstudosEspeciais/EE042_A_taxa_de_cambio_de_referencia_Ptax.pdf).

## What is Ptax?

Ptax exchange rate is the reference exchange rate for U.S. Dollar, expressed as the amount of Brazilian Reais per one U.S. Dollar,
published by the [Central Bank of Brazil](https://www.bcb.gov.br/en).

## Installation
```bash
$ pip install pyptax
```

## Usage

### Get closing rates on a certain date

```python
>>> from pyptax import ptax

>>> close_report = ptax.close('01-20-2020')
>>> close_report.as_dict
{'datetime': '2020-01-20 13:09:02.871', 'bid': '4.1823', 'ask': '4.1829'}
>>> close_report.datetime
'2020-01-20 13:09:02.871'
>>> close_report.bid
'4.1823'
>>> close_report.ask
'4.1829'
>>> print(close_report)
'2020-01-20 13:09:02.871 - bid: 4.1823 - ask: 4.1829'
```
